body {
    background: #f5f6f9;
}

.btn.focus,
.btn:focus {
    box-shadow: none;
}

button:focus {
    outline: 0;
}

#header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    background: #ffffff;
    height: 80px;
    box-shadow: 0 2px 1px rgba(0, 0, 0, 0.05);
    padding: 0 34px;
}

.header-left {
    width: 80px;
    margin-top: 24px;
    margin-right: 34px;
}

.header-left a {
    background-image: url("../../img/logo-batch.svg");
    background-size: 76px 34px;
    background-position: center top;
    background-repeat: no-repeat;
    width: 76px;
    height: 34px;
    margin: 0;
    display: inline-block;
    text-indent: -999em;
}

.header-right {
    margin-left: 34px;
    line-height: 80px;
}

.cpgHeader h2 {
    line-height: 32px;
}

.banner {
    padding: 12px 16px;
    border-radius: 3px;
    margin-bottom: 16px;
}

.banner--warning {
    background-color: #ffa500;
    color: #000;
}

.cpgTable {
    border-radius: 3px;
}

.cpgTable .cpgTable__row__nodata {
    max-width: none;
    height: auto;
}

.cpgTable tr:last-child td {
    border-bottom: none;
}

.apps-groups {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.apps-group {
    display: block;
    width: 22%;
    border-radius: 5px;
    margin: 10px;
    padding: 14px 0;
    text-align: center;
    font-size: 16px;
    background: #f2f3f8;
    box-shadow: inset #e8e8e8 0 0 0 1px;
    color: #6d8098;
}

#header .apps-group {
    display: flex;
    justify-content: center;
    margin-top: 15px;
    width: 280px;
    padding: 10px;
    height: 50px;
    line-height: 30px;
    background: none;
    text-align: left;
}

.apps-group:hover,
#header .apps-group:hover {
    box-shadow: inset #e2e2e2 0 0 0 2px;
    background: #f5f5f8;
    color: #475166;
}

.apps-group .apps-group-icon {
    display: block;
    background-size: cover;
    width: 40px;
    height: 40px;
    margin: 0 auto 10px;
    background-color: #f2f2f2;
    box-shadow:
        0 1px 5px rgba(0, 0, 0, 0.1),
        0 0 1px rgba(0, 0, 0, 0.2) inset;
    border-radius: 3px;
}

#header .apps-group .apps-group-icon {
    display: inline-block;
    width: 30px;
    height: 30px;
    margin: 0;
}

#multipush-groups .apps-group-name {
    padding: 0 20px;
}

.apps-group .apps-group-name {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 24px;
    height: 24px;
    max-width: 100%;
}

#header .apps-group .apps-group-name {
    display: inline-block;
    font-size: 14px;
    max-width: 140px;
    line-height: 30px;
    height: 30px;
}

.apps-group-platforms {
    display: inline-block;
    font-size: 14px;
}

.apps-group-platforms .fa {
    margin: 0 2px;
}

#header .apps-group .apps-group-platforms {
    font-size: 12px;
    margin: 0 4px 0 6px;
}

.fa-ios:before {
    color: #888;
}

.datepicker > div {
    display: block;
}

.datepicker-dropdown:before,
.datepicker-dropdown:after {
    display: none;
}

.datepicker.dropdown-menu {
    box-shadow: none;
}

.datepicker .table-condensed {
    width: 100%;
}

.label--batch {
    padding-top: 0;
    padding-bottom: 0;
    line-height: 15px;
    margin-top: 1px;
    margin-left: 5px;
}

.form-group-note {
    margin-top: 5px;
    font-size: 12px;
    font-style: italic;
    color: #999;
}

.form-group-note code {
    font-style: normal;
}

#message-targeting {
    text-transform: uppercase;
}

.stepboxLabel input[type="checkbox"] {
    width: 16px;
    height: 16px;
    float: left;
    margin-right: 6px;
}

.switch {
    cursor: pointer;
}

.switch:disabled {
    cursor: not-allowed;
}

.switch:disabled .switch__area {
    background: #e4e6ed !important;
    border-color: #cccfda !important;
}

.switch:disabled .switch__toggle {
    background: #a2acbf !important;
}

.preview {
    border: 0;
    border-bottom: 1px solid #f2f3f8;
    width: 100%;
    min-height: 620px;
}

.message-form-group,
.webpush-message-form-group {
    padding: 0 30px;
}

.preview-switcher .table-toggle__item.active {
    background: #e5e7ea !important;
}

.preview-switcher .table-toggle__item .fa:before,
.preview-switcher .table-toggle__item.active .fa:before {
    color: rgb(97, 116, 142);
}
